{include file="header.tpl"}

<script type="text/javascript">
var actionURL="{createURL class='ManageUserAction' ajax=true}";
var displayAllStr="{t escape=no}Alle Eintr&auml;ge anzeigen{/t}";
</script>

<form method="post" action="{createURL class='ManageUserAction'}" id="newAccountForm">
  <div class="row separatebottom">
    <div class="col-md-12">
      <fieldset id="qg-form-createProject">
        <legend>{t escape=no}Neuen Nutzer hinzuf&uuml;gen{/t}</legend>
        <div class="form-group">
          <label for="newAlias" class="col-md-2 control-label">
            {t escape=no}E-Mail-Adresse{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}Die Adresse unter der das neue Konto erreichbar wird{/t}"></span>
          </label>
          <div class="col-md-3">
            <input type="text" name="newAlias" placeholder="{t escape=no}Alias{/t}" required="" maxlength="255" id="newAlias" class="form-control" value="{$newAlias}"/>
          </div>
          <div class="col-md-3">
            @&nbsp;<select class="selectpicker" data-width="fit" name="newDomain" id="newDomain" />
    {foreach from=$domains item=domain}
              <option value="{$domain->getDomainname()}"{if $domain->getDomainname() == $newDomain} selected="selected"{/if}>{$domain->getDomainname()}</option>
    {/foreach}
            </select>
          </div>
          <div class="clear"></div>
        </div>
        <div class="form-group">
          <label for="accountType" class="col-md-2 control-label">
            {t escape=no}Kontotyp{/t}
            <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                data-content="{t escape=no}W&auml;hlen Sie den Kontotyp, ob Mailkonto, Weiterleitung oder Mailroboter.<br/>
                Ein Mailroboter ist ein Programm, das nach dem Empfang einer E-Mail gestartet wird{/t}">
          </label>
          <div class="col-md-6">
            <select class="selectpicker" data-width="auto" name="accountType" id="accountType" />
  {foreach from=$accountTypes item=description key=type}
              <option value="{$type}"{if $type == $accountType} selected="selected"{/if}>{$description}</option>
  {/foreach}
            </select>
          </div>
          <div class="clear"></div>
        </div>
        <div id="accountType_MBOX" class="newAccountType">
          <div class="form-group">
            <label for="login" class="col-md-2 control-label">
              {t escape=no}Benutzername{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Der Benutzername des neuen Nutzers{/t}"></span>
            </label>
            <div class="col-md-6">
              <input type="text" name="login" placeholder="{t escape=no}Benutzername{/t}" maxlength="255" id="login" class="form-control" value="{$login}"/>
            </div>
            <div class="clear"></div>
          </div>
          <div class="form-group">
            <label for="passwd" class="col-md-2 control-label">
              {t escape=no}Passwort{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Das Passwort des neuen Nutzers, 5 bis 32 Zeichen lang{/t}"></span>
            </label>
            <div class="col-md-6">
              <input type="text" name="passwd" autocomplete="off" placeholder="{t escape=no}Passwort{/t}" maxlength="32" id="passwd" class="form-control" value="{$passwd}"/>
              <div class="help pwstrength_viewport_progress" data-toggle="popover"
                data-content="{t escape=no}Passwortqualit&auml;t{/t}"></div>
            </div>
            <div class="col-md">
              <a id="genPassword" onClick="generatePassword('passwd', 16);$('#passwd').pwstrength('forceUpdate');" alt="{t escape=no}Zufallspasswort generieren{/t}" title="{t escape=no}Zufallspasswort generieren{/t}"><span class="glyphicon glyphicon-refresh" style="margin: 0px" aria-hidden="true"></span></a>
            </div>
            <div class="clear"></div>
          </div>
          <div class="form-group">
            <label for="canModifyAlias" class="col-md-2 control-label">
              {t escape=no}Der Nutzer darf seine Aliase &auml;ndern{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Wenn diese Option auf 'Nein' gesetzt ist, darf der Nutzer keine &Auml;nderung
                  (l&ouml;schen bzw. hinzuf&uuml;gen) an seinen Aliasen ausf&uuml;hren.{/t}"></span>
            </label>
            <div class="col-md-6">
              <label for="canModifyAliasT">{t escape=no}Ja{/t}</label>
              <input type="radio" name="canModifyAlias" id="canModifyAliasT" value="t"{if $canModifyAlias == 't'} checked{/if} />
              <label for="canModifyAliasF">{t escape=no}Nein{/t}</label>
              <input type="radio" name="canModifyAlias" id="canModifyAliasF" value="f"{if $canModifyAlias == 'f'} checked{/if} />
            </div>
            <div class="clear"></div>
          </div>
          <div class="form-group">
            <label for="canUseFilters" class="col-md-2 control-label">
              {t escape=no}Der Nutzer darf Filter benutzen{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Wenn diese Option auf 'Ja' gesetzt ist, hat der Nutzer eine M&ouml;glichkeit,
                  genau zu bestimmen wie seine E-Mail verwaltet werden sollen, anhand einigen Bedingungen.{/t}"></span>
            </label>
            <div class="col-md-6">
              <label for="canUseFiltersT">{t escape=no}Ja{/t}</label>
              <input type="radio" name="canUseFilters" id="canUseFiltersT" value="t"{if $canUseFilters == 't'} checked{/if} />
              <label for="canUseFiltersF">{t escape=no}Nein{/t}</label>
              <input type="radio" name="canUseFilters" id="canUseFiltersF" value="f"{if $canUseFilters == 'f'} checked{/if} />
            </div>
            <div class="clear"></div>
          </div>
          <div class="form-group">
            <label for="canSetAutoresponder" class="col-md-2 control-label">
              {t escape=no}Der Nutzer darf einen Autoresponder konfigurieren{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Wenn diese Option auf 'Ja' gesetzt ist, darf der Nutzer einen Autoresponder konfigurieren.{/t}"></span>
            </label>
            <div class="col-md-6">
              <label for="canSetAutoresponderT">{t escape=no}Ja{/t}</label>
              <input type="radio" name="canSetAutoresponder" id="canSetAutoresponderT" value="t"{if $canSetAutoresponder == 't'} checked{/if} />
              <label for="canSetAutoresponderF">{t escape=no}Nein{/t}</label>
              <input type="radio" name="canSetAutoresponder" id="canSetAutoresponderF" value="f"{if $canSetAutoresponder == 'f'} checked{/if} />
            </div>
            <div class="clear"></div>
          </div>
          <div class="form-group">
            <label for="userType" class="col-md-2 control-label">
              {t escape=no}Nutzertyp{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Ein Administrator darf neue Konten anlegen und bearbeiten.<br/>
                  Wenn es nicht n&ouml;tig ist, dass der Nutzer das macht, w&auml;hlen Sie 'Normaler Nutzer' aus.{/t}"></span>
            </label>
            <div class="col-md-6">
              <select class="selectpicker" data-width="auto" name="userType" id="userType" />
  {foreach from=$userTypes item=description key=type}
                <option value="{$type}"{if $type == $userType} selected="selected"{/if}>{$description}</option>
  {/foreach}
              </select>
            </div>
            <div class="clear"></div>
          </div>
        </div>
        <div id="accountType_FORWARD" class="newAccountType">
          <div class="form-group">
            <label for="forward" class="col-md-2 control-label">
              {t escape=no}Weiterleitungsziele{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Die Weiterleitungsziele, eine pro Zeile{/t}"></span>
            </label>
            <div class="col-md-6">
              <textarea name="forward" placeholder="{t escape=no}zB: max@mustermann.de{/t}" maxlength="255" id="forward" class="form-control">{$forward}</textarea>
            </div>
            <div class="clear"></div>
          </div>
        </div>
        <div id="accountType_PIPE" class="newAccountType">
          <div class="form-group">
            <label for="pipeName" class="col-md-2 control-label">
              {t escape=no}Programm{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Programm das aufgerufen werden soll, wenn eine E-Mail empfangen wird{/t}"></span>
            </label>
            <div class="col-md-6">
              <select class="selectpicker" data-width="auto" name="pipeName" id="pipeName" />
                <option value=""{if $pipeName == ''} selected="selected"{/if}>{t escape=no}Bitte ausw&auml;hlen{/t}</option>
  {foreach from=$availablePipes item=p}
                <option value="{$p.name}"{if $p.name == $pipeName} selected="selected"{/if}>{$p.name}</option>
  {/foreach}
              </select>
            </div>
            <div class="clear"></div>
          </div>
          <div class="form-group">
            <label for="pipeParameter" class="col-md-2 control-label">
              {t escape=no}Parameter{/t}
              <span class="help glyphicon glyphicon-info-sign" role="button" data-toggle="popover"
                  data-content="{t escape=no}Parameter des Programms{/t}"></span>
            </label>
            <div class="col-md-6">
              <select class="selectpicker" data-width="auto" data-none-selected-text="{t escape=no}Leer{/t}" name="pipeParameter" id="pipeParameter" />
                <option value=""{if $pipeParameter == ''} selected="selected"{/if}>{t escape=no}Bitte ausw&auml;hlen{/t}</option>
  {foreach from=$pipeParameters item=p}
                <option value="{$p}"{if $p == $pipeParameter} selected="selected"{/if}>{$p}</option>
  {/foreach}
              </select>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="col-md-offset-2 col-md-4">
            <button id="createBtn" type="submit" value=" " name="create" class="btn btn-default btn-block">{t escape=no}Nutzer anlegen{/t}</button>
          </div>
        </div>
      </fieldset>
    </div>
  </div>
</form>

  <div class="row">
    <div class="col-md-8">
      <div id="custom-search-input">
        <div class="input-group col-md-12">
          <input type="text" class="form-control input-lg" id="search" placeholder="{t escape=no}Suche...{/t}" value="{$searchString}"/>
          <span class="input-group-btn" id="searchCancel">
{if $searchString == ''}
            <i class="glyphicon glyphicon-search"></i>
{else}
            <i class="glyphicon glyphicon-remove-sign" alt="{t escape=no}Alle Eintr&auml;ge anzeigen{/t}" title="{t escape=no}Alle Eintr&auml;ge anzeigen{/t}" onClick="cancelSearch();"></i>
{/if}
          </span>
        </div>
      </div>
    </div>
  </div>
  <div class="row" id="searchErrors">
    <div class="col-md-8">
      <p class="bg-danger" id="searchErrorsText"></p>
    </div>
  </div>
  <div id="results">
{include file="searchUsers.tpl"}
  </div>
{literal}
<script type="text/javascript">
  $('.help').popover({placement: "auto left", html: 'true', trigger: 'hover'});

  var options = {};
  options.ui = {
      showVerdicts: false,
      showVerdictsInsideProgressBar: false,
      viewports: {
          progress: '.pwstrength_viewport_progress'
      }
  };
  options.rules = {
      wordThreeNumbers: false,
      wordTwoSpecialChar: false
  };
  options.common = {
      minChar: 5
  };
  $('#passwd').pwstrength(options);

  $('#accountType_' + $('#accountType').val()).show();
  $('#accountType').on('change', function() {
    $('.newAccountType').hide();
    $('#accountType_' + $(this).val()).show();
    if($(this).val() == 'PIPE')
    {
      $.ajax({
        url: actionURL,
        data: { 'action' : 'getPipeParameters', 'pipe' : $('#pipeName').val()},
        cache: false,
        method: 'POST',
        dataType: 'json',
        success: function(data){
          if(data.result == 'OK')
          {
            $('#pipeParameter')
                .find('option')
                .remove();
            $('#pipeParameter').append('<option value="">{/literal}{t escape=no}Bitte ausw&auml;hlen{/t}{literal}</option>');
            for(l = 0; l < data.data.length; l++)
              $('#pipeParameter').append('<option value="' + data.data[l] + '">' + data.data[l] + '</option>');
            $('#pipeParameter').selectpicker('refresh');
          }
        }
      });
    }
  });
  $('#pipeName').on('change', function() {
    $.ajax({
      url: actionURL,
      data: { 'action' : 'getPipeParameters', 'pipe' : $('#pipeName').val()},
      cache: false,
      method: 'POST',
      dataType: 'json',
      success: function(data){
        if(data.result == 'OK')
        {
          $('#pipeParameter')
              .find('option')
              .remove();
          $('#pipeParameter').append('<option value="">{/literal}{t escape=no}Bitte ausw&auml;hlen{/t}{literal}</option>');
          for(l = 0; l < data.data.length; l++)
            $('#pipeParameter').append('<option value="' + data.data[l] + '">' + data.data[l] + '</option>');
          $('#pipeParameter').selectpicker('refresh');
        }
      }
    });
  });
</script>
{/literal}

{include file="footer.tpl"}
