#!/bin/sh

if test "$1" = "" & test "$2" = ""; then
  /bin/echo "mkDK.sh <domain> <selector>"
  exit 1
fi

/bin/mkdir -p /etc/exim/domainKeys/$1

/usr/bin/openssl genrsa -out /etc/exim/domainKeys/$1/$2.priv 768
/usr/bin/openssl rsa -in /etc/exim/domainKeys/$1/$2.priv -out /etc/exim/domainKeys/$1/$2.pub -pubout -outform PEM

/bin/echo -e "\nFor BIND in the Zone $1:\n==========="
/bin/echo "_domainkey      IN  TXT         \"t=y; o=-\; r=postmaster@$1\""
/bin/echo -n "$2._domainkey IN  TXT         \"k=rsa; t=y; p="
for l in `/bin/cat /etc/exim/domainKeys/$1/$2.pub | /bin/grep -v " PUBLIC KEY"`; do
  /bin/echo -n $l;
done;
/bin/echo -e "\"\n===========\n"
